stages:
  - build

build:
  stage: build
  when: on_success
  only:
      - master
  image: docker:stable
  services:
    - docker:dind
  script:
    - docker login registry.gitlab.com -u deploy-token -p $CI_TOKEN
    - docker build -t registry.gitlab.com/riezq.25/belajar-ci-cd .
    - docker push registry.gitlab.com/riezq.25/belajar-ci-cd
  
